package cn.superdesk.uniorder.dao.mapper.thirdpart.szhtxx.paperInvoice;

import cn.superdesk.uniorder.dao.entity.thirdpart.szhtxx.paperInvoice.SzhtxxPaperInvoiceRedTaxInfo;
import cn.superdesk.uniorder.dao.entity.thirdpart.szhtxx.paperInvoice.SzhtxxPaperInvoiceRedTaxInfoExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface SzhtxxPaperInvoiceRedTaxInfoMapper {
    long countByExample(SzhtxxPaperInvoiceRedTaxInfoExample example);

    int deleteByExample(SzhtxxPaperInvoiceRedTaxInfoExample example);

    int deleteByPrimaryKey(Long id);

    int insert(SzhtxxPaperInvoiceRedTaxInfo record);

    int insertSelective(SzhtxxPaperInvoiceRedTaxInfo record);

    List<SzhtxxPaperInvoiceRedTaxInfo> selectByExample(SzhtxxPaperInvoiceRedTaxInfoExample example);

    SzhtxxPaperInvoiceRedTaxInfo selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") SzhtxxPaperInvoiceRedTaxInfo record, @Param("example") SzhtxxPaperInvoiceRedTaxInfoExample example);

    int updateByExample(@Param("record") SzhtxxPaperInvoiceRedTaxInfo record, @Param("example") SzhtxxPaperInvoiceRedTaxInfoExample example);

    int updateByPrimaryKeySelective(SzhtxxPaperInvoiceRedTaxInfo record);

    int updateByPrimaryKey(SzhtxxPaperInvoiceRedTaxInfo record);
}